## monodevelop 4.0.12+dfsg

=== po/Makefile ===
# Makefile.in generated by automake 1.12.1 from Makefile.am.
# po/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/monodevelop
pkgincludedir = $(includedir)/monodevelop
pkglibdir = $(libdir)/monodevelop
pkglibexecdir = $(libexecdir)/monodevelop
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.include ChangeLog
subdir = po
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main/missing --run aclocal-1.12
ACLOCAL_FLAGS = 
ALL_LINGUAS = cs da de es fr ja pt_BR tr pl it zh_TW zh_CN ru sl ca gl pt sv nl id hu nb
AMTAR = $${TAR-tar}
ASSEMBLY_VERSION = 4.0.12.0
AUTOCONF = ${SHELL} /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main/missing --run autoconf
AUTOHEADER = ${SHELL} /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main/missing --run autoheader
AUTOMAKE = ${SHELL} /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main/missing --run automake-1.12
AWK = gawk
CSC = /usr/bin/dmcs
CSC_FLAGS = -debug -codepage:utf8
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"monodevelop\" -DPACKAGE_TARNAME=\"monodevelop\" -DPACKAGE_VERSION=\"4.0.12\" -DPACKAGE_STRING=\"monodevelop\ 4.0.12\" -DPACKAGE_BUGREPORT=\"monodevelop-list@lists.ximian.com\" -DPACKAGE_URL=\"\" -DPACKAGE=\"monodevelop\" -DVERSION=\"4.0.12\" -DGETTEXT_PACKAGE=\"monodevelop\"
DYLD_FALLBACK_LIBRARY_PATH = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
GCONF_SHARP_CFLAGS =  
GCONF_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gconf-sharp.dll  
GETTEXT_PACKAGE = monodevelop
GLADE_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glade-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GLADE_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glade-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GLIB_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GLIB_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GNOME_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gnome-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/art-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gnome-vfs-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GNOME_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/art-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
GNOME_VFS_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gnome-vfs-api.xml  
GNOME_VFS_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll  
GTK_SHARP_CFLAGS = -I:/usr/lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml -I:/usr/lib/pkgconfig/../../share/gapi-2.0/glib-api.xml  
GTK_SHARP_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll  
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD_LIBRARY_PATH = /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/install/lib
LIBOBJS = 
LIBS = 
LIB_PREFIX = .so
LIB_SUFFIX = 
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main/missing --run makeinfo
MCS = /usr/bin/gmcs
MD_ADDIN_DIR = $(prefix)/lib/monodevelop/AddIns
MD_ASSEMBLY_DIR = $(prefix)/lib/monodevelop/bin
MD_DIR = $(prefix)/lib/monodevelop
MKDIR_P = /usr/bin/mkdir -p
MONO = /usr/bin/mono
MONODOC_CFLAGS =  
MONODOC_LIBS = /r:/usr/lib/mono/monodoc/monodoc.dll  
MONO_GAC_PREFIX = /usr/local:
MONO_NUNIT_CFLAGS =  
MONO_NUNIT_LIBS = -r:/usr/lib/pkgconfig/../../lib/mono/4.0/nunit.core.dll -r:/usr/lib/pkgconfig/../../lib/mono/4.0/nunit.core.interfaces.dll -r:/usr/lib/pkgconfig/../../lib/mono/4.0/nunit.core.extensions.dll -r:/usr/lib/pkgconfig/../../lib/mono/4.0/nunit.framework.dll -r:/usr/lib/pkgconfig/../../lib/mono/4.0/nunit.framework.extensions.dll -r:/usr/lib/pkgconfig/../../lib/mono/4.0/nunit.mocks.dll -r:/usr/lib/pkgconfig/../../lib/mono/4.0/nunit.util.dll -r:/usr/lib/pkgconfig/../../lib/mono/4.0/nunit-console-runner.dll  
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
PACKAGE = monodevelop
PACKAGE_BUGREPORT = monodevelop-list@lists.ximian.com
PACKAGE_NAME = monodevelop
PACKAGE_STRING = monodevelop 4.0.12
PACKAGE_TARNAME = monodevelop
PACKAGE_URL = 
PACKAGE_VERSION = 4.0.12
PACKAGE_VERSION_LABEL = 4.0.12
PATH = /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/install/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/local-config:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/install/lib/pkgconfig
RUNTIME = /usr/bin/mono
SET_MAKE = 
SHELL = /bin/sh
SQLITE_XML = 
STRIP = 
UNMANAGED_DEPENDENCIES_MONO_CFLAGS =  
UNMANAGED_DEPENDENCIES_MONO_LIBS =  
UPDATE_DESKTOP_DB = 
UPDATE_MIME_DB = /usr/bin/update-mime-database
VERSION = 4.0.12
abs_builddir = /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main/po
abs_srcdir = /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main/po
abs_top_builddir = /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main
abs_top_srcdir = /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main
am__leading_dot = .
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
gtksharp_prefix = /usr/lib/pkgconfig/../..
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/builder/data/lanes/monodevelop-linux-monodevelop-4.0.12-branch/593d7acb/source/monodevelop/main/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /usr/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
LC_BUILD = $(top_builddir)/build/locale
#old automake versions don't set datarootdir or localedir
INSTALL_DIR = $(DESTDIR)$(prefix)/share/locale
FILES = $(addsuffix .po, $(ALL_LINGUAS))
GMO_FILES = $(patsubst %.po,$(LC_BUILD)/%/LC_MESSAGES/$(PACKAGE).mo,$(FILES))
MO_FILES = $(foreach po,$(FILES), $(INSTALL_DIR)/$(basename $(po))/LC_MESSAGES/$(PACKAGE).mo)
CLEANFILES = $(GMO_FILES)
EXTRA_DIST = Makefile $(FILES)
build_deps = $(addprefix -r:, $(DEPS))
build_sources = $(addprefix $(srcdir)/, $(FILES)) $(GENERATED_FILES)
build_resources = $(addprefix $(srcdir)/, $(RES))
build_test_sources = $(addprefix $(srcdir)/, $(TESTFILES)) $(GENERATED_FILES)
MD_BIN_PATH = $(abs_top_builddir)/build/bin
MD_LAUNCH_SETUP = \
	PATH="$(PATH)" \
	PKG_CONFIG_PATH="$(PKG_CONFIG_PATH)" \
	LD_LIBRARY_PATH="$(LD_LIBRARY_PATH)" \
	DYLD_FALLBACK_LIBRARY_PATH="$(DYLD_FALLBACK_LIBRARY_PATH)" \
	MONO_GAC_PREFIX="$(MONO_GAC_PREFIX)" \
	MONODEVELOP_LOCALE_PATH="$(abs_top_builddir)/build/locale" \
	MONODEVELOP_TEST_PROFILE="$(MD_BIN_PATH)/test-profile"

MDTOOL_RUN = $(MD_LAUNCH_SETUP) exec -a "mdtool" $(RUNTIME) --debug "$(MD_BIN_PATH)/mdtool.exe"
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Makefile.include $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign po/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign po/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \

=== external/monomac/Makefile ===
DIRS = src samples

all:
	for i in $(DIRS); do (cd $$i; make); done

clean:
	for i in $(DIRS); do (cd $$i; make clean); done

update-docs:
	mdoc update $(MDOC_UPDATE_OPTIONS) -o docs/en src/MonoMac.dll

=== external/mono-tools/webcompare/Makefile ===
SUBDIRS=db
base = ../gui-compare

# Do NOT copy your local webcompare-db.exe.config to the server
DB_SYNCFILES= \
	db/Makefile \
	db/createdb.sql \
	db/webcompare-db.cs \
	db/DataAccess.cs		\
	db/MySqlDataAccess.cs		\
	db/PostgresDataAccess.cs	\
	db/webcompare-db.exe.config-EDITME \
	db/web.config \
	db/*.dll \
	db/*.exe

BASE_FILES= \
	Web.config-EDITME \
	Makefile \
	ChangeLog \
	main.css \
	index.aspx \
	status.aspx

SOURCES =  \
	$(base)/Comparison.cs		\
	$(base)/Metadata.cs

all: bin/Mono.Api.CompareMinimal.dll
	make -C db

bin/Mono.Api.CompareMinimal.dll: $(SOURCES) Makefile
	@mkdir -p bin
	gmcs -debug -target:library -r:`pkg-config --variable=Libraries cecil` -out:bin/Mono.Api.CompareMinimal.dll $(SOURCES)

run: all
	xsp2

push: all
	rsync --rsh=ssh -pr ${BASE_FILES} bin images App_Code mono-web@www.go-mono.com:go-mono/status/
	rsync --rsh=ssh -pr ${DB_SYNCFILES} mono-web@www.go-mono.com:go-mono/status/db/

pushdb: all
	rsync --rsh=ssh -pr ${DB_SYNCFILES} mono-web@www.go-mono.com:go-mono/status/db/

clean:
	rm -f rm bin/Mono.Api.CompareMinimal.dll*
	make -C db clean

=== external/monomac/samples/Makefile ===
MDTOOL=/Applications/MonoDevelop.app/Contents/MacOS/mdtool

XDIRS = \
	NSAlert					\
	AnimatingViews 				\
	ButtonMadness 				\
	CAQuartzComposition 			\
	CoreAnimationBook/BackgroundFilteredView\
	CoreAnimationBook/CustomAnimationTiming \
	CoreAnimationBook/CustomizeAnimation 	\
	CoreAnimationBook/CustomizeAnimation2 	\
	CoreAnimationBook/FilteredView 		\
	CoreAnimationBook/GroupAnimation 	\
	CoreAnimationBook/KeyFrameMoveAView 	\
	CoreAnimationBook/LayerBackedControls 	\
	CoreAnimationBook/QCBackground 		\
	CoreAnimationBook/TimedAnimation 	\
	CoreAnimationBook/QCBackground		\
	CoreTextArcMonoMac			\
	CoreWLANWirelessManager			\
	DatePicker				\
	DockAppIcon				\
	DocumentSample				\
	DrawerMadness 				\
	Fire 				\
	GLFullScreen				\
	GLSLShader				\
	GlossyClock 				\
	ImageKitDemoStep1			\
	macdoc					\
	MonoMacGameWindow 				\
	NSTableViewBinding			\
	OpenGLLayer 				\
	OpenGLViewSample 			\
	OpenGL-NeHe/NeHeLesson1			\
	OpenGL-NeHe/NeHeLesson2			\
	OpenGL-NeHe/NeHeLesson3			\
	OpenGL-NeHe/NeHeLesson4			\
	OpenGL-NeHe/NeHeLesson5			\
	OpenGL-NeHe/NeHeLesson6			\
	OpenGL-NeHe/NeHeLesson7			\
	OpenGL-NeHe/NeHeLesson8			\
	OpenGL-NeHe/NeHeLesson9			\
	PredicateEditorSample 			\
	PopupBindings 				\
	QTRecorder				\
	RoundedTransparentWindow		\
	Rulers 					\
	SearchField 				\
	SkinnableApp				\
	StillMotion				\
	VillainTracker 				\
	WhereIsMyMac

all:
	for i in $(XDIRS); do (cd $$i; $(MDTOOL) build); done
	(cd MicroSamples; make)

clean:
	-for i in $(DIRS); do (cd $$i; make clean); done
	-for i in $(XDIRS); do (cd $$i; rm -rf bin); done
	-(cd MicroSamples; rm -rf *.exe *.mdb)

=== external/monomac/src/Makefile ===
#
# Figure out if I want to use [New] or remove from contract
#
WARNINGS_I_SHOULD_FIX=114,108
TARGET = MonoMac.dll
PEER=false
MACCORE_DIR ?= ../../maccore

#
# CORE_SOURCES are source files that are written by hand
# and are linked with the generator
#

CORE_SOURCES =	$(EXTRA_CORE_SOURCES)			\
	Constants.cs					\
	./AppKit/Enums.cs				\
	./AppKit/Defs.cs				\
	./Foundation/EnumDesktop.cs			\
	./Foundation/NSObject.cs			\
	./ImageKit/Enums.cs				\
	./ObjCRuntime/Class.cs				\
	./ObjCRuntime/Messaging.cs			\
	./ObjCRuntime/NativeConstructorBuilder.cs	\
	./ObjCRuntime/NativeImplementationBuilder.cs	\
	./ObjCRuntime/NativeMethodBuilder.cs		\
	./ObjCRuntime/MethodDescription.cs		\
	./ObjCRuntime/NSObjectMarshaler.cs		\
	./ObjCRuntime/SelectorMarshaler.cs		\
	./ObjCRuntime/Runtime.cs			\
	./ObjCRuntime/RequiredFrameworkAttribute.cs	\
	./ObjCRuntime/Selector.cs			\
	./OpenGL/OpenTK/Math/Quaternion.cs		\
	./OpenGL/OpenTK/Math/MathHelper.cs		\
	./OpenGL/OpenTK/Math/Matrix4.cs			\
	./OpenGL/OpenTK/Math/Vector2.cs			\
	./OpenGL/OpenTK/Math/Vector3.cs			\
	./OpenGL/OpenTK/Math/Vector4.cs			\
	./PdfKit/Enums.cs				\
	./QTKit/Defs.cs					\
	./QTKit/Enums.cs				\
	./OpenGL/CGLEnums.cs				\
	./OpenGL/CGLContext.cs				\
	./OpenGL/CGLPixelFormat.cs			\
	./ScriptingBridge/Enums.cs			\
	./WebKit/Enums.cs

# Sources that are not part of CORE_SOURCES or the generated templates
MONOMAC_SOURCES = $(EXTRA_MONOMAC_SOURCES) \
	./Compat.cs					\
	./Foundation/NSObjectMac.cs			\
	./AppKit/EventArgs.cs				\
	./AppKit/AppKitSynchronizationContext.cs	\
	./AppKit/AppKitThreadAccessException.cs		\
	./AppKit/ActionDispatcher.cs			\
	./AppKit/BeginSheet.cs				\
	./AppKit/DoubleWrapper.cs			\
	./AppKit/Functions.cs				\
	./AppKit/NSAlert.cs				\
	./AppKit/NSActionCell.cs			\
	./AppKit/NSApplication.cs			\
	./AppKit/NSApplicationDelegate.cs		\
	./AppKit/NSArrayController.cs			\
	./AppKit/NSBezierPath.cs			\
	./AppKit/NSBitmapImageRep.cs			\
	./AppKit/NSBrowser.cs				\
	./AppKit/NSButton.cs				\
	./AppKit/NSCell.cs				\
	./AppKit/NSColor.cs				\
	./AppKit/NSControl.cs				\
	./AppKit/NSDocument.cs				\
	./AppKit/NSEvent.cs				\
	./AppKit/NSGradient.cs				\
	./AppKit/NSGraphics.cs				\
	./AppKit/NSGraphicsContext.cs			\
	./AppKit/NSImage.cs				\
	./AppKit/NSLevelIndicator.cs			\
	./AppKit/NSMatrix.cs				\
	./AppKit/NSMenu.cs				\
	./AppKit/NSMenuItem.cs				\
	./AppKit/NSOpenGLContext.cs			\
	./AppKit/NSOpenGLPixelFormat.cs			\
	./AppKit/NSPageLayout.cs			\
	./AppKit/NSPopUpButton.cs			\
	./AppKit/NSPopUpButtonCell.cs			\
	./AppKit/NSPrintPanel.cs			\
	./AppKit/NSScreen.cs				\
	./AppKit/NSSharingService.cs			\
	./AppKit/NSSegmentedControl.cs			\
	./AppKit/NSSpeechSynthesizer.cs			\
	./AppKit/NSSpellChecker.cs			\
	./AppKit/NSSound.cs				\
	./AppKit/NSTableView.cs				\
        ./AppKit/NSToolbarItem.cs                       \
	./AppKit/NSTreeController.cs			\
	./AppKit/NSView.cs				\
        ./AppKit/NSWindow.cs				\
	./CoreVideo/CVDisplayLink.cs			\
	./Foundation/ObjCException.cs			\
	./QTKit/QTCaptureDevice.cs			\
	./QTKit/QTMovie.cs				\
	./WebKit/DomNode.cs				\
	./WebKit/Enumerators.cs				\
	./WebKit/Indexers.cs				\
	./WebKit/WebPolicyDelegate.cs			\
	./WebKit/WebKit.cs				\
	./WebKit/WebView.cs				\
	./OpenGL/FrameEventArgs.cs			\
	./OpenGL/IGameWindow.cs				\
	./OpenGL/INativeWindow.cs			\
	./OpenGL/WindowBorder.cs			\
	./OpenGL/WindowState.cs				\
	./OpenGL/MonoMacGameView.cs			\
	./Security/Authorization.cs

OPENTK_SOURCES = \
	./OpenGL/OpenTK/Graphics/Color4.cs		\
	./OpenGL/OpenTK/Graphics/OpenGL/GL.cs		\
	./OpenGL/OpenTK/Graphics/OpenGL/GLCore.cs	\
	./OpenGL/OpenTK/Graphics/OpenGL/GLEnums.cs	\
	./OpenGL/OpenTK/Graphics/OpenGL/GLHelper.cs	\
	./OpenGL/OpenTK/Audio/ContextHandle.cs	\
	./OpenGL/OpenTK/Audio/OpenAL/AL/ALEnums.cs	\
	./OpenGL/OpenTK/Audio/BlittableValueType.cs	\
	./OpenGL/OpenTK/Audio/OpenAL/AL/AL.cs	\
	./OpenGL/OpenTK/Audio/OpenAL/Alc/AlcEnums.cs	\
	./OpenGL/OpenTK/Audio/OpenAL/Alc/Alc.cs	\
	./OpenGL/OpenTK/Math/Half.cs			\
	./OpenGL/OpenTK/Math/Matrix3d.cs		\
	./OpenGL/OpenTK/Math/Matrix4d.cs		\
	./OpenGL/OpenTK/Math/Quaterniond.cs		\
	./OpenGL/OpenTK/Math/Vector2d.cs		\
	./OpenGL/OpenTK/Math/Vector2h.cs		\
	./OpenGL/OpenTK/Math/Vector3d.cs		\
	./OpenGL/OpenTK/Math/Vector3h.cs		\
	./OpenGL/OpenTK/Math/Vector4d.cs		\
	./OpenGL/OpenTK/Math/Vector4h.cs

CFNETWORK_SOURCES = \
	$(MACCORE_DIR)/src/CFNetwork/Content.cs			\
	$(MACCORE_DIR)/src/CFNetwork/MessageHandler.cs		\
	$(MACCORE_DIR)/src/CFNetwork/WebRequestStream.cs	\
	$(MACCORE_DIR)/src/CFNetwork/WebResponseStream.cs	\
	$(MACCORE_DIR)/src/CFNetwork/WorkerThread.cs

GENERATOR_SOURCES = \
	$(MACCORE_DIR)/src/error.cs				\
	$(MACCORE_DIR)/src/generator.cs			\
	$(MACCORE_DIR)/src/Options.cs			\
	$(MACCORE_DIR)/src/btouch.cs

SOURCES = \
	$(CORE_SOURCES)

DEFINES = -define:NET_2_0
PKG_CONFIG=/Library/Frameworks/Mono.framework/Commands/pkg-config
ifeq ($(HAVE_ASYNC),)
HAVE_ASYNC := $(shell if $(PKG_CONFIG) --atleast-version=2.11 mono; then echo 1; else echo 0; fi)
endif

ifeq ($(HAVE_ASYNC),1)
	ASYNC_TARGETS = MonoMac.CFNetwork.dll
	UPDATE_FILES = MonoMac.dll* MonoMac.CFNetwork.dll*
	MCS ?= mcs -sdk:4
else
	ASYNC_TARGETS = 
	UPDATE_FILES = MonoMac.dll*
	MCS ?= dmcs
endif

TARGETS = _bmac.exe $(TARGET) parse.exe bmac.exe $(ASYNC_TARGETS)

include Make.shared

SHARED_API = \
	./avfoundation.cs	\
	./foundation.cs		\
	./coreanimation.cs	\
	./coredata.cs		\
	./coreimage.cs		\
	./coremidi.cs		\
	./corelocation.cs	\
	./imageio.cs		\
	./quicklook.cs

SHARED_SOURCES = $(patsubst %,$(MACCORE_DIR)/src/%,$(SHARED_SOURCE))
SHARED_CORE_SOURCES = $(patsubst %,$(MACCORE_DIR)/src/%,$(SHARED_CORE_SOURCE))
SHARED_APIS = $(patsubst %,$(MACCORE_DIR)/src/%,$(SHARED_API))

ifneq ($(PEER),false)
include $(PEER)/Make.extra
endif

APIS = \
	appkit.cs		\
	corewlan.cs		\
	foundation-desktop.cs 	\
	imagekit.cs		\
	qtkit.cs		\
	pdfkit.cs		\
	webkit.cs		\
	composer.cs		\
	scriptingbridge.cs	\
	$(SHARED_APIS) $(EXTRA_APIS)

all: $(TARGETS)

parse.exe: parse.cs $(MACCORE_DIR)/src/Options.cs
	$(MCS) -debug parse.cs $(MACCORE_DIR)/src/Options.cs

core.dll: $(CORE_SOURCES) $(SHARED_CORE_SOURCES) Makefile
	$(MCS) -target:library -debug -unsafe -out:core.dll -define:MONOMAC,MONOMAC_BOOTSTRAP,COREBUILD$(CORE_DLL_DEFINES) $(CORE_SOURCES) $(SHARED_CORE_SOURCES) -r:System.Drawing

_bmac.exe: $(APIS) core.dll $(GENERATOR_SOURCES)
	$(MCS) -unsafe -out:_bmac.exe -debug $(DEFINES) -define:GENERATOR,MONOMAC,MONOMAC_BOOTSTRAP $(GENERATOR_SOURCES) -r:core.dll -r:System.Drawing

generated_sources: _bmac.exe $(APIS) 
	mono --debug _bmac.exe -a -d=MONOMAC $(BMAC_DEFINES) --core --sourceonly=generated_sources -v -tmpdir=. $(APIS) --baselib=core.dll --ns=MonoMac.ObjCRuntime -r=System.Drawing $(BMAC_OPTIONS)

bmac.exe: $(TARGET) $(GENERATOR_SOURCES)
	$(MCS) -unsafe -out:bmac.exe -debug $(DEFINES) -define:GENERATOR,MONOMAC,MONOMAC_BOOTSTRAP $(GENERATOR_SOURCES) -r:$(TARGET) -r:System.Drawing

count: 
	make pass | wc -l

counts:
	make pass | grep 'could not be' | sed 's/.*`//' | sed "s/'.*//" | sort | uniq -c | sort -n

$(TARGET): $(SOURCES) generated_sources $(MONOMAC_SOURCES) $(SHARED_SOURCES) $(SHARED_CORE_SOURCES) $(OPENTK_SOURCES)
	$(MCS) -define:OBJECT_REF_TRACKING -nowarn:3021,0219,0414,$(WARNINGS_I_SHOULD_FIX) -debug -unsafe $(SOURCES) @generated_sources $(MONOMAC_SOURCES) $(SHARED_SOURCES) $(SHARED_CORE_SOURCES) $(OPENTK_SOURCES) -target:library -define:MONOMAC -out:$(TARGET) -r:System.Drawing

MonoMac.CFNetwork.dll: $(CFNETWORK_SOURCES)
	mcs -debug -target:library -define:MONOMAC -r:System.Net.Http -r:$(TARGET) -out:MonoMac.CFNetwork.dll $(CFNETWORK_SOURCES)

clean:
	rm -f $(TARGETS) core.dll

all: $(TARGET) $(ASYNC_TARGETS)

update: MonoMac.dll $(ASYNC_TARGETS)
	cp $(UPDATE_FILES) /Applications/MonoDevelop.app/Contents/MacOS/lib/monodevelop/Addins
	cp $(UPDATE_FILES) /Applications/MonoDevelop.app/Contents/MacOS/lib/monodevelop/Addins/MonoDevelop.MonoMac

#
# Pushes this to the MonoDevelop source code repo
#
push-to-monodevelop: MonoMac.dll
	cp $(UPDATE_FILES) /cvs/md/monodevelop/extras/MonoDevelop.MonoMac/MonoDevelop.MonoMac

#
# Pushes the assembly to the system MonoDevelop, for testing
#
upgrade-monodevelop: MonoMac.dll
	cp $(UPDATE_FILES) /Applications/MonoDevelop.app/Contents/MacOS//lib/monodevelop/AddIns/MonoDevelop.MonoMac/

=== external/ngit/gen/Makefile ===
include config.make

SHARPEN=$(prefix)/sharpen.sh

JAVA_PATCH=$(prefix)/java.patch
CS_PATCH=$(prefix)/cs.patch

JGIT_GIT_REPO = git://git.eclipse.org/gitroot/jgit/jgit.git
JGIT_DIR = source
JGIT_SOURCE = $(JGIT_DIR)/README
JGIT_GIT = @cd $(JGIT_DIR) && git

NGIT_DIR = generated
NGIT_GIT = @cd $(NGIT_DIR) && git

JSCH_SOURCE = $(JGIT_DIR)/jsch/README
JSCH_RELEASE = 0.1.46
JSCH_URL = http://freefr.dl.sourceforge.net/project/jsch/jsch/$(JSCH_RELEASE)/jsch-$(JSCH_RELEASE).zip

JZLIB_SOURCE = $(JGIT_DIR)/jzlib
JZLIB_RELEASE = 1.0.7
JZLIB_URL = http://www.jcraft.com/jzlib/jzlib-$(JZLIB_RELEASE).zip

BIN_PATH=$(prefix)/bin

SB=\033[1m
EB=\033[m

$(JZLIB_SOURCE):
	@echo -e "$(SB)Getting JZlib sources$(EB)"
	curl --remote-name $(JZLIB_URL)
	@echo -e "$(SB)Unpacking JZlib$(EB)"
	rm -rf jzlib-$(JZLIB_RELEASE)
	unzip jzlib-$(JZLIB_RELEASE).zip
	rm -rf jzlib-$(JZLIB_RELEASE).zip
	mkdir -p $(JGIT_DIR)
	mv jzlib-$(JZLIB_RELEASE) $(JGIT_DIR)/jzlib
	mkdir -p $(JGIT_DIR)/jzlib/src
	mv $(JGIT_DIR)/jzlib/com $(JGIT_DIR)/jzlib/src
	@echo -e "$(SB)Building JZlib$(EB)"
	find $(JGIT_DIR)/jzlib/src -name *.java > resp
	mkdir -p $(BIN_PATH)
	javac @resp -d $(BIN_PATH)
	
$(JSCH_SOURCE):
	@echo -e "$(SB)Getting JSch sources$(EB)"
	rm -rf jsch-$(JSCH_RELEASE)
	curl --remote-name $(JSCH_URL)
	@echo -e "$(SB)Unpacking JSch$(EB)"
	unzip jsch-$(JSCH_RELEASE).zip
	rm -rf jsch-$(JSCH_RELEASE).zip
	mkdir -p $(JGIT_DIR)/jsch
	mv jsch-$(JSCH_RELEASE)/* $(JGIT_DIR)/jsch
	# Move the java source so the directory structure matches the package name
	# This ensures that sharpen does not go crazy and break when doing the conversion
	mv $(JGIT_DIR)/jsch/src/main/java/* $(JGIT_DIR)/jsch/src
	rm -rf jsch-$(JSCH_RELEASE)
	@echo -e "$(SB)Building JSch$(EB)"
	find $(JGIT_DIR)/jsch/src -name *.java > resp
	mkdir -p $(BIN_PATH)
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH)

$(JGIT_SOURCE):
	@echo -e "$(SB)Getting jgit sources$(EB)"
	mkdir -p $(JGIT_DIR)
	git clone $(JGIT_GIT_REPO) $(JGIT_DIR)
	

# The steps for fetching are:
# - Fetch changes from git
# - Checkout the last version we generated
# - Generate all code for that last version. This code is the starting point for merging changes in the new code

fetch: $(JGIT_SOURCE) $(JZLIB_SOURCE) $(JSCH_SOURCE)
	@echo -e "$(SB)Pulling git sources$(EB)"
	$(JGIT_GIT) reset --hard
	$(JGIT_GIT) checkout master
	$(JGIT_GIT) pull origin
	@echo -e "$(SB)Applying previous java patch$(EB)"
	$(JGIT_GIT) checkout `cat ../lastrev`
	rm -rf $(NGIT_DIR)
	patch -s -d $(JGIT_DIR) -p1 < $(JAVA_PATCH)
	@echo -e "$(SB)Building jgit$(EB)"
	find $(JGIT_DIR)/org.eclipse.jgit/src -name *.java > resp
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH)
	@echo -e "$(SB)Building jgit.junit$(EB)"
	find $(JGIT_DIR)/org.eclipse.jgit.junit/src -name *.java > resp
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH):$(NUNIT_JAR)
	@echo -e "$(SB)Generating code for jzlib$(EB)"
	$(SHARPEN) $(JGIT_DIR)/jzlib jzlib src sharpen-options $(NGIT_DIR)/NSch jzlib.header
	@echo -e "$(SB)Generating code for jsch$(EB)"
	$(SHARPEN) $(JGIT_DIR)/jsch jsch src sharpen-options $(NGIT_DIR)/NSch jsch.header
	@echo -e "$(SB)Generating code for jgit (previous revision)$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit org.eclipse.jgit src sharpen-options $(NGIT_DIR)/NGit jgit.header
	@echo -e "$(SB)Generating code for jgit.nunit (previous revision)$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit.junit org.eclipse.jgit.junit src sharpen-options $(NGIT_DIR)/NGit.Test jgit.header
	@echo -e "$(SB)Generating code for jgit.test (previous revision)$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit.test org.eclipse.jgit.test tst sharpen-options $(NGIT_DIR)/NGit.Test jgit.header
	# Convert the generated code into git repos
	git init $(NGIT_DIR)
	$(NGIT_GIT) add . && git commit -a -m "Initial commit"
	@echo "Done."

merge:
	$(JGIT_GIT) reset --hard
	$(JGIT_GIT) checkout master
	@echo -e "$(SB)Building jgit$(EB)"
	find $(JGIT_DIR)/org.eclipse.jgit/src -name *.java > resp
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH)
	@echo -e "$(SB)Building jgit.junit$(EB)"
	find $(JGIT_DIR)/org.eclipse.jgit.junit/src -name *.java > resp
	javac @resp -d $(BIN_PATH) -cp $(BIN_PATH):$(NUNIT_JAR)
	@echo -e "$(SB)Applying java patch$(EB)"
	$(JGIT_GIT) branch -D merged 2> /dev/null || true
	$(JGIT_GIT) checkout -b merged `cat ../lastrev`
	patch -d $(JGIT_DIR) -p1 < $(JAVA_PATCH)
	$(JGIT_GIT) commit -a -m "Merge"
	@echo -e "$(SB)Merging new changes$(EB)"
	@echo -e "$(SB)In case of merge conflict, cd to the $(JGIT_DIR) directory, resolve the conflics and use 'git rebase --continue' to finish$(EB)"
	$(JGIT_GIT) rebase master

pull: fetch merge

validate-pull:
	# Generate a new patch
	$(JGIT_GIT) checkout merged
	$(JGIT_GIT) diff master > $(JAVA_PATCH)
	$(JGIT_GIT) reset --hard
	$(JGIT_GIT) checkout master
	$(JGIT_GIT) log -1 --format=format:%H master > ../lastrev

convert: validate-pull
	@echo -e "$(SB)Prepare git directories$(EB)"
	$(NGIT_GIT) reset --hard
	$(JGIT_GIT) checkout merged
	rm -rf source/org.eclipse.jgit.test/tst/org/eclipse/jgit/nls/RootLocaleTest.java
	$(NGIT_GIT) reset --hard
	$(NGIT_GIT) checkout master
	$(NGIT_GIT) branch -D last 2> /dev/null || true
	$(NGIT_GIT) checkout -b last
	@echo -e "$(SB)Generating code for jzlib$(EB)"
	$(SHARPEN) $(JGIT_DIR)/jzlib jzlib src sharpen-options $(NGIT_DIR)/NSch jzlib.header
	@echo -e "$(SB)Generating code for jsch$(EB)"
	$(SHARPEN) $(JGIT_DIR)/jsch jsch src sharpen-options $(NGIT_DIR)/NSch jsch.header
	@echo -e "$(SB)Generating code for jgit$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit org.eclipse.jgit src sharpen-options $(NGIT_DIR)/NGit jgit.header
	@echo -e "$(SB)Generating code for jgit.jnunit$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit.junit org.eclipse.jgit.junit src sharpen-options $(NGIT_DIR)/NGit.Test jgit.header
	@echo -e "$(SB)Generating code for jgit.test$(EB)"
	$(SHARPEN) $(JGIT_DIR)/org.eclipse.jgit.test org.eclipse.jgit.test tst sharpen-options $(NGIT_DIR)/NGit.Test jgit.header
	$(NGIT_GIT) add .
	$(NGIT_GIT) commit -a -m "New code" || true
	@echo -e "$(SB)Applying old patch$(EB)"
	$(NGIT_GIT) branch -D merged 2> /dev/null || true
	$(NGIT_GIT) checkout -b merged master
	patch -d $(NGIT_DIR) -p1 < $(CS_PATCH) || true
	$(NGIT_GIT) commit -a -m "Merge"
	@echo -e "$(SB)Merging new changes$(EB)"
	@echo -e "$(SB)In case of merge conflict, cd to the $(NGIT_DIR) directory, resolve the conflics and use 'git rebase --continue' to finish$(EB)"
	$(NGIT_GIT) rebase last

validate-convert:
	# update the patch
	$(NGIT_GIT) checkout merged
	$(NGIT_GIT) diff last > $(CS_PATCH)
	$(NGIT_GIT) reset --hard
	# update the master branch to last
	$(NGIT_GIT) checkout last
	$(NGIT_GIT) branch -D master 2> /dev/null || true
	$(NGIT_GIT) checkout -b master
	$(NGIT_GIT) checkout merged

import: validate-convert
	cp -r $(NGIT_DIR)/* ..
	cp $(JGIT_DIR)/org.eclipse.jgit/resources/org/eclipse/jgit/internal/JGitText.properties ../NGit/resources
	cp $(JGIT_DIR)/org.eclipse.jgit.test/tst-rsrc/org/eclipse/jgit/diff/*.patch ../NGit.Test/resources/NGit.Diff
	cp $(JGIT_DIR)/org.eclipse.jgit.test/tst-rsrc/org/eclipse/jgit/diff/*Image ../NGit.Test/resources/NGit.Diff
	cp $(JGIT_DIR)/org.eclipse.jgit.test/tst-rsrc/org/eclipse/jgit/diff/testContext* ../NGit.Test/resources/NGit.Diff
	cp $(JGIT_DIR)/org.eclipse.jgit.test/tst-rsrc/org/eclipse/jgit/patch/*.patch ../NGit.Test/resources/NGit.Patch
	rm -rf ../NGit/.git
	rm -rf ../NGit.Test/.git
	rm -rf ../NGit.NSch/.git

update-source:
	$(NGIT_GIT) checkout merged
	cd ../NGit && find . -type f -name '*.cs' -exec cp {} $(prefix)/generated/NGit/{} \;
	cd ../NGit.Test && find . -type f -name '*.cs' -exec cp {} $(prefix)/generated/NGit.Test/{} \;
	cd ../NSch && find . -type f -name '*.cs' \! -path '*Sharpen*' -exec cp {} $(prefix)/generated/NSch/{} \;
	
update-patch: update-source validate-convert


commit:
	git show master:gen/lastrev > prevrev
	echo "Updated from JGit" > msg
	$(JGIT_GIT) log "--format=format:----------------------------------------------------%nJGit commit %H%n%B" `cat $(prefix)/prevrev`..`cat $(prefix)/lastrev` >> $(prefix)/msg
	git commit -a -F msg

=== tests/test-projects/console-project-with-makefile/Makefile ===

EXTRA_DIST =  rules.make configure Makefile.include

all: all-recursive

top_srcdir=.
include $(top_srcdir)/config.make
include $(top_srcdir)/Makefile.include
include $(top_srcdir)/rules.make

#include $(top_srcdir)/custom-hooks.make

#Warning: This is an automatically generated file, do not edit!
ifeq ($(CONFIG),DEBUG)
 SUBDIRS =  ConsoleProject
endif
ifeq ($(CONFIG),RELEASE)
 SUBDIRS =  ConsoleProject
endif


CONFIG_MAKE=$(top_srcdir)/config.make

%-recursive: $(CONFIG_MAKE)
	@set . $$MAKEFLAGS; final_exit=:; \
	case $$2 in --unix) shift ;; esac; \
	case $$2 in *=*) dk="exit 1" ;; *k*) dk=: ;; *) dk="exit 1" ;; esac; \
	make pre-$*-hook prefix=$(prefix) ; \
	for dir in $(call quote_each,$(SUBDIRS)); do \
		case "$$dir" in \
		.) make $*-local || { final_exit="exit 1"; $$dk; };;\
		*) (cd "$$dir" && make $*) || { final_exit="exit 1"; $$dk; };;\
		esac \
	done; \
	make post-$*-hook prefix=$(prefix) ; \
	$$final_exit

$(CONFIG_MAKE):
	echo "You must run configure first"
	exit 1

clean: clean-recursive
install: install-recursive
uninstall: uninstall-recursive

dist: $(CONFIG_MAKE)
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	make pre-dist-hook distdir=$$distdir
	for dir in $(call quote_each,$(SUBDIRS)); do \
		pkgdir=`pwd`/$(PACKAGE)-$(VERSION); \
		mkdir "$$pkgdir/$$dir" || true; \
		case $$dir in \
		.) make dist-local "distdir=$$pkgdir" || exit 1;; \
		*) (cd "$$dir"; make dist-local "distdir=$$pkgdir/$$dir") || exit 1;; \
		esac \
	done
	(make dist-local distdir=$(PACKAGE)-$(VERSION))
	make
	make post-dist-hook "distsir=$$distdir"
	tar czvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	@echo "=========================================="
	@echo "$(PACKAGE)-$(VERSION) has been packaged > $(PACKAGE)-$(VERSION).tar.gz"
	@echo "=========================================="

distcheck: dist
	(mkdir test; cd test;  \
	tar xzvf ../$(PACKAGE)-$(VERSION).tar.gz; cd $(PACKAGE)-$(VERSION); \
	./configure --prefix=$$(cd `pwd`/..; pwd); \
	make && make install && make dist);
	rm -rf test

=== external/mono-tools/docbrowser/macbuild/Makefile ===
GECKO_PRINTING_DEF="-d:USE_GTKHTML_PRINT"
GTKHTML_TARGET=GtkHtmlHtmlRender.dll

srcdir=..
browser_sources   = \
	$(srcdir)/browser.cs		\
	$(srcdir)/list.cs 		\
	$(srcdir)/elabel.cs 		\
	$(srcdir)/history.cs 		\
	$(srcdir)/Contributions.cs	\
	$(srcdir)/XmlNodeWriter.cs	\
	$(srcdir)/IHtmlRender.cs	\
	$(srcdir)/BookmarkManager.cs	\
	$(srcdir)/ProgressPanel.cs	\
	$(srcdir)/GtkHtmlHtmlRender.cs \
	$(srcdir)/macbuild/IgeMacMenuGlobal.cs \
	$(srcdir)/macbuild/Framework/*

browser_built_sources = Options.cs

gtkhtml_dll=gtkhtml-binaries-for-osx-monodoc/gtkhtml-sharp.dll
gtkhtml_native=gtkhtml-binaries-for-osx-monodoc/libgtkhtml-3.14.dylib

browser_assemblies = -pkg:gtk-sharp-2.0,glade-sharp-2.0,monodoc -r:$(gtkhtml_dll) -r:System.Web -r:System.Web.Services

GMCS=gmcs
browser.exe: $(browser_sources) $(browser_built_sources) $(srcdir)/browser.glade $(srcdir)/monodoc.png 
	$(GMCS) -define:MACOS -debug -out:browser.exe $(browser_sources) $(browser_built_sources) -resource:$(srcdir)/monodoc.png,monodoc.png -resource:$(srcdir)/browser.glade,browser.glade  $(browser_assemblies) 

Options.cs:
	cp `pkg-config --variable=Sources mono-options` .

UpdateMdFiles:
	rm ./Framework/*
	cp "../../../monodevelop/main/src/addins/MacPlatform/Framework/*" ./Framework/

MAC_APP_DIR=MonoDoc.app
APP_MACOS="$(MAC_APP_DIR)/Contents/MacOS/"

MonoDoc.app: browser.exe Info.plist monodoc $(gtkhtml_dll) $(gtkhtml_dll).config $(gtkhtml_native) monodoc.icns
	mkdir -p $(MAC_APP_DIR)/Contents/{MacOS,Resources}
	cp $(gtkhtml_dll) $(gtkhtml_dll).config $(gtkhtml_native) browser.exe $(MAC_APP_DIR)/Contents/MacOS/
	cp monodoc $(MAC_APP_DIR)/Contents/MacOS/
	chmod +x $(MAC_APP_DIR)/Contents/MacOS/monodoc
	cp Info.plist $(MAC_APP_DIR)/Contents/
	cp $(srcdir)/theme-icons/Mac/monodoc.icns $(MAC_APP_DIR)/Contents/Resources
	touch MonoDoc.app

MonoDoc.app.zip: MonoDoc.app
	zip -r9uq MonoDoc.app.zip MonoDoc.app

.PHONY: UpdateMdFiles

=== external/mono-tools/webcompare/db/Makefile ===
base = ../../gui-compare

LIB_SOURCES =  \
	AssemblyResolver.cs	\
	$(base)/CompareContext.cs	\
	$(base)/Comparison.cs		\
	$(base)/CecilMetadata.cs	\
	$(base)/MasterMetadata.cs	\
	$(base)/Metadata.cs		\
	$(base)/Masterinfo.cs

SOURCES = \
	webcompare-db.cs	\
	DataAccess.cs		\
	MySqlDataAccess.cs	

REFS = \
	-r:System.Configuration.dll	\
	-r:System.Core.dll 		\
	-r:MySql.Data.dll 		\
	-r:System.Data.dll 		

all: webcompare-db.exe

webcompare-db.exe: $(SOURCES) Mono.Cecil.dll Mono.Api.CompareFull.dll
	mcs -debug $(REFS) -r:Mono.Api.CompareFull.dll -r:Mono.Cecil.dll $(SOURCES)

Mono.Api.CompareFull.dll: $(LIB_SOURCES) Mono.Cecil.dll Makefile
	mcs -nowarn:169,414 -debug -target:library -r:Mono.Cecil.dll -out:Mono.Api.CompareFull.dll $(LIB_SOURCES)

Mono.Cecil.dll:
	cp `pkg-config --variable Libraries cecil` .

clean:
	rm -f webcompare-db.exe webcompare-db.exe.mdb Mono.Cecil.dll* Mono.Api.CompareFull.dll*

=== external/monomac/samples/MicroSamples/Makefile ===
DEMOS = \
	generate-pdf.exe	\
	locator.exe		\
	HelloCoreWlanSample.exe		

all: $(DEMOS)

run1:
	MONO_PATH=../../src/ mono generate-pdf.exe

generate-pdf.exe: generate-pdf.cs
	gmcs generate-pdf.cs -r:../../src/MonoMac.dll -r:System.Drawing

locator.exe: locator.cs
	gmcs locator.cs -r:../../src/MonoMac.dll 

HelloCoreWlanSample.exe: HelloCoreWlanSample.cs
	gmcs HelloCoreWlanSample.cs -r:../../src/MonoMac.dll

=== external/monomac/samples/macdoc/Makefile ===

MDTOOL_MASTER = $(MONODEVELOP_DIR)/main/build/bin/mdtool.exe

MDROOT = $(shell stat -f%N "/Applications/Xamarin Studio.app" 2>/dev/null || echo "/Applications/MonoDevelop.app")
MDTOOL_SYSTEM ?= $(MDROOT)/Contents/MacOS/mdtool

# If invoked from CI, we pass the just built MonoDevelop as mdtool
ifeq ($(wildcard $(MDTOOL_MASTER)),)
    MDTOOL_BUILD = "$(MDTOOL_SYSTEM)" build
else
    MDTOOL_BUILD = mono "$(MDTOOL_MASTER)" setup reg-build && mono "$(MDTOOL_MASTER)" build
endif

MONO_MAC_DLL = ../../src/MonoMac.dll
APPLEDOCWIZARD_APP = AppleDocWizard/bin/Debug/AppleDocWizard.app
MACDOC_APP = bin/Debug/macdoc.app
MONODOC_APP = $(dir $(MACDOC_APP))MonoDoc.app
MONODOC_ARCHIVE = MonoDoc.tar.bz2
XCODE_43_RESOURCE_RULES=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/ResourceRules.plist
XCODE_42_RESOURCE_RULES=/Developer/Platforms/MacOSX.platform/ResourceRules.plist

all: monomac macdoc monodoc

monomac: $(MONO_MAC_DLL)

macdoc: monomac
	@echo "MDTOOL_BUILD: \"$(MDTOOL_BUILD)"\"
	rm -Rf $(MACDOC_APP)
	$(MDTOOL_BUILD)

monodoc: macdoc
	rm -Rf $(MONODOC_APP)
	cp -R $(MACDOC_APP) $(MONODOC_APP)
	@if test -f $(XCODE_43_RESOURCE_RULES); then \
		echo "cp $(XCODE_43_RESOURCE_RULES) $(MONODOC_APP)/Contents"; \
		cp $(XCODE_43_RESOURCE_RULES) $(MONODOC_APP)/Contents; \
	elif test -f $(XCODE_42_RESOURCE_RULES); then \
		echo "cp $(XCODE_42_RESOURCE_RULES) $(MONODOC_APP)/Contents"; \
		cp $(XCODE_42_RESOURCE_RULES) $(MONODOC_APP)/Contents; \
	fi;

dist: monodoc
	(cd $(dir $(MONODOC_APP)) && rm -f $(MONODOC_ARCHIVE) && tar -cjf $(MONODOC_ARCHIVE) $(notdir $(MONODOC_APP)))

$(MONO_MAC_DLL):
	(cd ../../src/ && make)

=== tests/test-projects/console-project-with-makefile/ConsoleProject/Makefile ===

EXTRA_DIST =  Makefile

# Warning: This is an automatically generated file, do not edit!

srcdir=.
top_srcdir=..

include $(top_srcdir)/config.make

ifeq ($(CONFIG),DEBUG)
ASSEMBLY_COMPILER_COMMAND = gmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize- -debug "-define:DEBUG;TRACE"

ASSEMBLY = bin/Debug/ConsoleProject.exe
ASSEMBLY_MDB = $(ASSEMBLY).mdb
COMPILE_TARGET = exe
PROJECT_REFERENCES = 
BUILD_DIR = bin/Debug/

CONSOLEPROJECT_EXE_MDB_SOURCE=bin/Debug/ConsoleProject.exe.mdb
CONSOLEPROJECT_EXE_MDB=$(BUILD_DIR)/ConsoleProject.exe.mdb

endif

ifeq ($(CONFIG),RELEASE)
ASSEMBLY_COMPILER_COMMAND = gmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+ "-define:TRACE"

ASSEMBLY = bin/Release/ConsoleProject.exe
ASSEMBLY_MDB = 
COMPILE_TARGET = exe
PROJECT_REFERENCES = 
BUILD_DIR = bin/Release/

CONSOLEPROJECT_EXE_MDB=

endif

AL=al2
SATELLITE_ASSEMBLY_NAME=ConsoleProject.resources.dll

PROGRAMFILES = \
	$(CONSOLEPROJECT_EXE_MDB)  

BINARIES = \
	$(CONSOLEPROJECT)  


RESGEN=resgen2

CONSOLEPROJECT = $(BUILD_DIR)/consoleproject

FILES =  \
	Program.cs \
	Properties/AssemblyInfo.cs 

DATA_FILES = 

RESOURCES = 

EXTRAS = \
	consoleproject.in 

REFERENCES =  \
	System \
	System.Data \
	System.Xml

DLL_REFERENCES = 

CLEANFILES = $(PROGRAMFILES) $(BINARIES) 

#Targets
all: $(ASSEMBLY) $(PROGRAMFILES) $(BINARIES)  $(top_srcdir)/config.make

include $(top_srcdir)/Makefile.include
#include $(srcdir)/custom-hooks.make



$(eval $(call emit-deploy-wrapper,CONSOLEPROJECT,consoleproject,x))


$(eval $(call emit_resgen_targets))
$(build_xamlg_list): %.xaml.g.cs: %.xaml
	xamlg '$<'


$(ASSEMBLY) $(ASSEMBLY_MDB): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
	make pre-all-local-hook prefix=$(prefix)
	mkdir -p $(shell dirname $(ASSEMBLY))
	make $(CONFIG)_BeforeBuild
	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
	make $(CONFIG)_AfterBuild
	make post-all-local-hook prefix=$(prefix)

install-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-install-local-hook prefix=$(prefix)
	mkdir -p '$(DESTDIR)$(libdir)/$(PACKAGE)'
	$(call cp,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(CONSOLEPROJECT_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	mkdir -p '$(DESTDIR)$(bindir)'
	$(call cp,$(CONSOLEPROJECT),$(DESTDIR)$(bindir))
	make post-install-local-hook prefix=$(prefix)

uninstall-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-uninstall-local-hook prefix=$(prefix)
	$(call rm,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(CONSOLEPROJECT_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(CONSOLEPROJECT),$(DESTDIR)$(bindir))
	make post-uninstall-local-hook prefix=$(prefix)

install: install-local
uninstall: uninstall-local
clean: clean-local

include $(top_srcdir)/rules.make

=== debian/changelog ===
monodevelop (4.0.12+dfsg-2) unstable; urgency=low

  * [622568c] Use OS-provided Mono.Addins, not bundled project

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 17:21:21 +0200

monodevelop (4.0.12+dfsg-1) unstable; urgency=low

  * [5dcb6e1] Fix debian/watch for new source tarball name format
  * [5c68cb5] Refresh list of files removed by get-orig-source to 
    reflect 4.0.12
  * [96d60a0] Imported Upstream version 4.0.12+dfsg
  * [b989752] Refresh debian/patches/no_appmenu to ensure it applies
  * [2a4c351] Ensure every assembly in external/ is cleaned properly
  * [92762f7] Add more excluded Mac-specific modulerefs
  * [bc698ba] Add symlinks to NUnit assemblies (Closes: #714246)

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 14:50:04 +0200

monodevelop (4.0.5+dfsg-1) unstable; urgency=low

  * [a01b51d] Imported Upstream version 4.0+dfsg
  * [fce0339] Remove obsolete patch 
    fix_gettext_install_location_53282c9.patch
  * [8845d36] Remove obsolete patch link_system_nunit.patch - xbuild always 
    searches for system libraries to link against if we delete the bundled 
    versions.
  * [9060006] Remove obsolete patch use_libsvn1.patch - we don't need this, 
    since we can --exclude-moduleref these days when never-used libs are 
    referenced in platform-specific code.
  * [ec61152] Remove obsolete patch use_libapr1.patch - we don't need this, 
    since we can --exclude-moduleref these days when never-used libs are 
    referenced in platform-specific code.
  * [182e98c] Strangely, if you have multiple versions of the same library 
    installed (i.e. MVC) then the lowest numbered is used for xbuild 
    assembly references, which breaks the build. Force MVC3 since that 
    works (i.e. the code requires a Razor-capable MVC)
  * [9596fba] Exclude a bundle of extra Mac/Windows-specific modulerefs
  * [55ba361] Specifically require mono-devel 3.0+, to pull in MVC3
  * [dd232c9] Reference Xamarin Studio in debian/control, so searches in
    apt-cache match this package
  * [6adcafb] Remove the commented Moonlight stuff in debian/control, that 
    stuff is never coming back
  * [b66fae7] Fix package description for monodevelop-versioncontrol to 
    mention Git.
  * [4bfbce8] Specifically depend on the SGen garbage collector, since 
    upstream now recommends its use with MonoDevelop
  * [76fb6c7] Imported Upstream version 4.0.4+dfsg
  * [f2b85f9] Refresh list of files removed by +dfsg
  * [846e28a] Imported Upstream version 4.0.5+dfsg

 -- Jo Shields <directhex@apebox.org>  Sun, 12 May 2013 09:46:03 +0100

=== debian/control ===
Source: monodevelop
Section: devel
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: autoconf,
                     automake,
                     autotools-dev,
                     cli-common-dev (>= 0.8~),
                     desktop-file-utils,
                     dh-autoreconf,
                     gtk-sharp2-gapi (>= 2.12.8),
                     intltool,
                     libapr1-dev,
                     libgconf2.0-cil-dev,
                     libglade2.0-cil-dev,
                     libgnome2.0-cil-dev,
                     libgtk2.0-cil-dev,
                     libgtkspell-dev,
                     libmetacity-dev,
                     libmono-addins-cil-dev (>= 0.6),
                     libmono-addins-gui-cil-dev (>= 0.6),
                     libmono-cecil-cil-dev,
                     libnunit-cil-dev (>= 2.6),
                     libsvn-dev,
                     mono-devel (>= 3.0),
                     mono-gmcs,
                     monodoc-base (>= 1.1.9)
Standards-Version: 3.9.2
Homepage: http://www.monodevelop.com/
Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/monodevelop.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/monodevelop.git

Package: monodevelop
Architecture: all
Suggests: exuberant-ctags,
          gcc,
          gettext,
          make,
          mono-vbnc,
          mono-xsp | mono-xsp4,
          monodevelop-database,
          monodevelop-debugger-gdb,
          monodevelop-nunit,
          monodevelop-versioncontrol,
          monodoc-browser,
          zip
Recommends: libglade2.0-cil-dev, libgtk2.0-cil-dev, mono-devel
Depends: gnome-icon-theme (>= 1.1.3),
         monodoc-manual (>= 1.1.9),
         pkg-config,
         mono-runtime-sgen,
         xterm | x-terminal-emulator,
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: monodoc-viewer
Description: Development Environment for GNOME
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages. It is the unbranded version of Xamarin Studio.
 .
 It supports the following languages: C, C++, C# (1.0, 2.0 and 3.0), Vala, Boo,
 Java, Nemerle, ILasm, ASP.NET and VB.NET.
 .
 Features: Debugger Integration (Mono Debugger and GNU Debugger),
 Class Browser, Assembly Browser, Built-in Help, Monodoc Integration,
 Code Completion (also known as IntelliSense), Code Folding, Color Schemes,
 Code Refactoring, On-the-fly error underlining, XML Editing, Embedded HTML
 viewer, Gettext support, GTK# Designer, MSBuild project support and
 Makefile Generation.

Package: monodevelop-nunit
Architecture: all
Depends: monodevelop (= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: NUnit plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages. It is the unbranded version of Xamarin Studio.
 .
 This package enables NUnit integration for MonoDevelop.

Package: monodevelop-versioncontrol
Architecture: all
Replaces: monodevelop (<< 0.13.1)
Depends: monodevelop (= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: VersionControl plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages. It is the unbranded version of Xamarin Studio.
 .
 This package enables version control integration (Subversion and Git)
 for MonoDevelop.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)   
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')

override_dh_auto_configure:
	dh_auto_configure -- \
	  --disable-update-mimedb \
	  --disable-update-desktopdb \
	  --disable-monoextensions \
	  --enable-git --enable-subversion \
	  --enable-gnomeplatform \
	  MCS=/usr/bin/mono-csc CSC=/usr/bin/mono-csc

override_dh_auto_clean:
	dh_auto_clean
	find external/ -name "*.dll" -delete
	find external/ -name "*.exe" -delete
	find external/ -name "*.mdb" -delete
	find external/ -name "*.FilesWrittenAbsolute.txt" -delete
	rm -f external/ngit/NGit/obj/Debug/NGit.resources.JGitText.properties

override_dh_auto_build:
	XDG_CONFIG_HOME=$(DEBIAN_DIR) dh_auto_build

override_dh_clideps:
	dh_clideps	--exclude-moduleref=/System/Library/Frameworks/Carbon.framework/Versions/Current/Carbon \
			--exclude-moduleref=/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation \
			--exclude-moduleref=/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices \
			--exclude-moduleref=libigemacintegration.dylib \
			--exclude-moduleref=/usr/lib/libobjc.dylib \
			--exclude-moduleref=glibsharpglue-2 \
			--exclude-moduleref=gtksharpglue-2 \
			--exclude-moduleref=libsvn_client-1.so.0 \
			--exclude-moduleref=libapr-0.so.0 \
			--exclude-moduleref=ole32.dll \
			--exclude-moduleref=fusion \
			--exclude-moduleref=/System/Library/Frameworks/ApplicationServices.framework/Frameworks/CoreGraphics.framework/CoreGraphics \
			--exclude-moduleref=libgtk-quartz-2.0.dylib \
			--exclude-moduleref=libgtk-quartz-2.0

override_dh_auto_test:
	# skip "make test"

override_dh_auto_install:
	dh_auto_install
	# install missing DLL maps
	cp debian/MonoDevelop.SourceEditor2.dll.config debian/tmp/usr/lib/monodevelop/AddIns/DisplayBindings/SourceEditor/
	cp debian/MonoDevelop.Gettext.dll.config debian/tmp/usr/lib/monodevelop/AddIns/DisplayBindings/Gettext/
	# fix permissions of .mo files
	cd $(CURDIR)/debian/tmp/usr/share/locale && find -name "*.mo" -exec chmod -x {} \;

override_dh_install:
	dh_install
	# remove nunit files (shipped in monodevelop-nunit)
	rm -rf debian/monodevelop/usr/lib/monodevelop/AddIns/NUnit/
	# remove versioncontrol files (shipped in monodevelop-versioncontrol)
	rm -rf debian/monodevelop/usr/lib/monodevelop/AddIns/VersionControl/
	# remove ChangeLogAddIn files (shipped in monodevelop-versioncontrol)
	rm -rf debian/monodevelop/usr/lib/monodevelop/AddIns/ChangeLogAddIn/

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename \
		--repack
	if [ -d $(DEB_SOURCE_NAME)-$(VERSION) ]; then \
		echo "$(DEB_SOURCE_NAME)-$(VERSION) is in the way, bailing out!"; \
		exit 1; \
	fi
	tar -xzf $(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz
	rm $(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz
	find $(DEB_SOURCE_NAME)-$(VERSION) -name "*.dll"
	find $(DEB_SOURCE_NAME)-$(VERSION) -name "*.dll" -delete
	find $(DEB_SOURCE_NAME)-$(VERSION) -name "*.exe"
	find $(DEB_SOURCE_NAME)-$(VERSION) -name "*.exe" -delete
	find $(DEB_SOURCE_NAME)-$(VERSION) -name "*.mdb"
	find $(DEB_SOURCE_NAME)-$(VERSION) -name "*.mdb" -delete
	tar --mtime=@1252623600 -cf ./$(DEB_SOURCE_NAME)_$(VERSION)+dfsg.orig.tar $(DEB_SOURCE_NAME)-$(VERSION)
	gzip -9fn ./$(DEB_SOURCE_NAME)_$(VERSION)+dfsg.orig.tar
	rm -r $(DEB_SOURCE_NAME)-$(VERSION)

%:
	dh $@ --with cli,autoreconf

.PHONY: get-orig-source
